%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate pkcs5

Name:           rust-pkcs5
Version:        0.7.1
Release:    1%{?dist}
Summary:        Pure Rust implementation of PKCS#5 (RFC 8018)

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/pkcs5
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Pure Rust implementation of Public-Key Cryptography Standards (PKCS) #5:
Password-Based Cryptography Specification Version 2.1 (RFC 8018).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+3des-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+3des-devel %{_description}

This package contains library source intended for building other packages which
use the "3des" feature of the "%{crate}" crate.

%files       -n %{name}+3des-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+des-insecure-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+des-insecure-devel %{_description}

This package contains library source intended for building other packages which
use the "des-insecure" feature of the "%{crate}" crate.

%files       -n %{name}+des-insecure-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pbes2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pbes2-devel %{_description}

This package contains library source intended for building other packages which
use the "pbes2" feature of the "%{crate}" crate.

%files       -n %{name}+pbes2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sha1-insecure-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha1-insecure-devel %{_description}

This package contains library source intended for building other packages which
use the "sha1-insecure" feature of the "%{crate}" crate.

%files       -n %{name}+sha1-insecure-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-1
- initial build
